cascading.tap.hadoop.io

## Class HadoopTupleEntrySchemeIterator

- java.lang.Object
- - cascading.tuple.TupleEntryIterator
  - - cascading.tuple.TupleEntrySchemeIterator<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.RecordReader>
    - - cascading.tap.hadoop.io.HadoopTupleEntrySchemeIterator

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<TupleEntry>

    public class HadoopTupleEntrySchemeIterator
    extends TupleEntrySchemeIterator<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.RecordReader>

### Constructor Summary

Constructors
Constructor and Description
`HadoopTupleEntrySchemeIterator(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess, Scheme scheme, CloseableIterator<org.apache.hadoop.mapred.RecordReader> closeableIterator)`
`HadoopTupleEntrySchemeIterator(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess, Tap parentTap, org.apache.hadoop.mapred.RecordReader recordReader)`

### Method Summary

Methods
`protected org.apache.hadoop.mapred.RecordReader` `wrapInput(org.apache.hadoop.mapred.RecordReader recordReader)`

### Methods inherited from class cascading.tuple.TupleEntrySchemeIterator

`close, getFlowProcess, hasNext, next, remove`

### Methods inherited from class cascading.tuple.TupleEntryIterator

`getFields, getTupleEntry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HadoopTupleEntrySchemeIterator

    public HadoopTupleEntrySchemeIterator(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess,
                                  Tap parentTap,
                                  org.apache.hadoop.mapred.RecordReader recordReader)
                                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### HadoopTupleEntrySchemeIterator

    public HadoopTupleEntrySchemeIterator(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess,
                                  Scheme scheme,
                                  CloseableIterator<org.apache.hadoop.mapred.RecordReader> closeableIterator)

### Method Detail

#### wrapInput

    protected org.apache.hadoop.mapred.RecordReader wrapInput(org.apache.hadoop.mapred.RecordReader recordReader)

Overrides:
  `wrapInput` in class `TupleEntrySchemeIterator<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.RecordReader>`